play.db.jpa

## Class FileAttachment

- java.lang.Object
- - play.db.jpa.FileAttachment

- Deprecated.

      @Embeddable
       @Deprecated
      public class FileAttachment
      extends java.lang.Object

  Please use play.db.jpa.Blob now

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `filename` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileAttachment()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists()` Deprecated.
    `java.io.File` | `get()` Deprecated.
    `static java.io.File` | `getStore()` Deprecated.
    `boolean` | `isSet()` Deprecated.
    `long` | `length()` Deprecated.
    `void` | `set(java.io.File file)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filename

          public java.lang.String filename

      Deprecated.

  - ### Constructor Detail

    - #### FileAttachment

          public FileAttachment()

      Deprecated.

  - ### Method Detail

    - #### get

          public java.io.File get()

      Deprecated.

    - #### set

          public void set(java.io.File file)

      Deprecated.

    - #### isSet

          public boolean isSet()

      Deprecated.

    - #### getStore

          public static java.io.File getStore()

      Deprecated.

    - #### exists

          @Deprecated
          public boolean exists()

      Deprecated.

    - #### length

          @Deprecated
          public long length()

      Deprecated.

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly